summaryrefslogtreecommitdiff
path: root/bin/remailer-states-make-image-long-2
diff options
context:
space:
mode:
Diffstat (limited to 'bin/remailer-states-make-image-long-2')
-rwxr-xr-xbin/remailer-states-make-image-long-231
1 files changed, 31 insertions, 0 deletions
diff --git a/bin/remailer-states-make-image-long-2 b/bin/remailer-states-make-image-long-2
new file mode 100755
index 0000000..e655770
--- /dev/null
+++ b/bin/remailer-states-make-image-long-2
@@ -0,0 +1,31 @@
+#! /bin/sh
+
+set -e
+
+RRD_DIR=$1
+TARGETDIR=$2
+
+if [ -z "$TARGETDIR" ] ; then
+ echo "Usage: $0 <rrd_dir> <target_dir>" >&2
+ exit 1
+fi
+
+rrdtool graph $TARGETDIR/remailer-states-long-2.png \
+ --start `date --date='24 month ago' +%s` \
+ --title 'Number of Remailers/Mixmasters' \
+ --vertical-label '#' \
+ --lower-limit 0 \
+ --height 150 \
+ --width 640 \
+ DEF:ok1=$RRD_DIR/remailer-states.rrd:state1OK:AVERAGE \
+ DEF:warn1=$RRD_DIR/remailer-states.rrd:state1Warning:AVERAGE \
+ DEF:crit1=$RRD_DIR/remailer-states.rrd:state1Critical:AVERAGE \
+ DEF:ok2=$RRD_DIR/remailer-states.rrd:state2OK:AVERAGE \
+ DEF:warn2=$RRD_DIR/remailer-states.rrd:state2Warning:AVERAGE \
+ DEF:crit2=$RRD_DIR/remailer-states.rrd:state2Critical:AVERAGE \
+ "AREA:ok2#00FF00:in OK (Mix; area)" \
+ "STACK:warn2#FFFF00:in Warning (Mix)" \
+ "STACK:crit2#FF0000:in Critical (Mix)" \
+ "LINE3:ok1#0000FF:in OK (CPunk; line)" \
+ "STACK:warn1#00FFFF:in Warning (CPunk)" \
+ "STACK:crit1#FF00FF:in Critical (CPunk)" >/dev/null